[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# in_addr

General inet socket address.

## Declaration

Source position: socketsh.inc line 50

`type in_addr = packed record`
`case Boolean of`
`True: (`
`s_addr: cuint32;` |  | Actual address
`);`
`False: (`
`s_bytes: array [1..4] of Byte;` |  | Address as bytes
`);`
`end;`

Documentation generated on: Feb 26 2014